/**Global function**/


function safedecodeURIComponent(v)
{
	try
	{
		return decodeURIComponent(v);
	
	} catch (e)
	{
		return "";
	}
	
}

function RedirectToLogin()
{
	window.location="/login.html"+window.location.hash;
}
function VFSRequest(request,response_function)
{

    $.post('/vfs/', request , function(response) {
		if (response.hasOwnProperty("logout"))
		{
			RedirectToLogin();
		}
		for(key in response) {
			if (typeof(response[key]) === "object")
			{
			
			} else
			{
				response[key]=safedecodeURIComponent(response[key]);
		   }
		}
		response_function(response);
    }, "json");


}
//Application api

var Apps={};

function FDBApp()
{
	this.Render=function(dest)
	{
		$('<div/>',{html:"FDB Table(Static&Dynamic)"}).appendTo(dest);
		$.get("/fdb/","",function(response)
		{
			if (response.hasOwnProperty("logout"))
				RedirectToLogin();
			var tbl = $('<table/>', {class:'custom-table'}).appendTo(dest);
			var th = $('<thead/>').appendTo(tbl);
			var tr = $('<tr/>').appendTo(th);
			var td=$('<td/>',{text:'#'}).appendTo(tr);
            var head = ["MAC", "Ports", "ttl"];
			for(var key in head)
			{
				var td=$('<td/>',{text:head[key]}).appendTo(tr);
			}
			var tb = $('<tbody/>').appendTo(tbl);
			for (var rowid in response)
			{
				var tr = $('<tr/>').appendTo(tb );
				var row=response[rowid];
				$('<td/>',{text:rowid}).appendTo(tr);
				for(var key in row)
				{
					var td=$('<td/>',{text:row[key]}).appendTo(tr);
				}
			}
		});
	}
}

function ARPApp()
{
	this.Render=function(dest)
	{
		$('<div/>',{html:"ARP Table"}).appendTo(dest);
		$.get("/arp/","",function(response)
		{
			if (response.hasOwnProperty("logout"))
				RedirectToLogin();
			var tbl = $('<table/>', {class:'custom-table'}).appendTo(dest);
			var th = $('<thead/>').appendTo(tbl);
			var tr = $('<tr/>').appendTo(th);
			var td=$('<td/>',{text:'#'}).appendTo(tr);
            var head = ["IP","MAC","VLAN","TTL"];
			for(var key in head)
			{
				var td=$('<td/>',{text:head[key]}).appendTo(tr);
			}
			var tb = $('<tbody/>').appendTo(tbl);
			for (var rowid in response)
			{
				var tr = $('<tr/>').appendTo(tb );
				var row=response[rowid];
				$('<td/>',{text:rowid}).appendTo(tr);
				for(var key in row)
				{
					var td=$('<td/>',{text:row[key]}).appendTo(tr);
				}
			}
		});
	}
}

Apps["fdb"]=new FDBApp();
Apps["arp"]=new ARPApp();
